## pax-utils 0.1.16

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2003-2006 Ned Ludd <solar@linbsd.net>
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-projects/pax-utils/Makefile,v 1.57 2006/07/25 17:21:02 solar Exp $
+# $Header: /var/cvsroot/gentoo-projects/pax-utils/Makefile,v 1.64 2007/08/20 09:54:15 vapier Exp $
 ####################################################################
 
 check_gcc=$(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null > /dev/null 2>&1; \
@@ -39,11 +39,12 @@
 endif
 
 ####################################################################
-ELF_TARGETS  = scanelf pspax dumpelf
+ELF_TARGETS  = scanelf dumpelf $(shell echo | $(CC) -dM -E - | grep -q __svr4__ || echo pspax)
 ELF_OBJS     = $(ELF_TARGETS:%=%.o) paxelf.o
 MACH_TARGETS = scanmacho
 MACH_OBJS    = $(MACH_TARGETS:%=%.o) paxmacho.o
-OBJS         = $(ELF_OBJS) $(MACH_OBJS) paxinc.o
+COMMON_OBJS  = paxinc.o xfuncs.o
+OBJS         = $(ELF_OBJS) $(MACH_OBJS) $(COMMON_OBJS)
 TARGETS      = $(ELF_TARGETS) $(MACH_TARGETS)
 MPAGES       = $(TARGETS:%=man/%.1)
 SOURCES      = $(OBJS:%.o=%.c)
@@ -74,11 +75,11 @@
 endif
 	$(Q)$(compile.c) $(WFLAGS)
 
-$(ELF_TARGETS): $(ELF_OBJS) paxinc.o
-	$(CC) $(CFLAGS) $(LDFLAGS) paxinc.o paxelf.o -o $@ $@.o $(LIBS) $(LIBS-$@)
+$(ELF_TARGETS): $(ELF_OBJS) $(COMMON_OBJS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(COMMON_OBJS) paxelf.o -o $@ $@.o $(LIBS) $(LIBS-$@)
 
-$(MACH_TARGETS): $(MACH_OBJS) paxinc.o
-	$(CC) $(CFLAGS) $(LDFLAGS) paxinc.o paxmacho.o -o $@ $@.o $(LIBS) $(LIBS-$@)
+$(MACH_TARGETS): $(MACH_OBJS) $(COMMON_OBJS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(COMMON_OBJS) paxmacho.o -o $@ $@.o $(LIBS) $(LIBS-$@)
 
 %.so: %.c
 	$(CC) -shared -fPIC -o $@ $<
@@ -91,7 +92,7 @@
 
 distclean: clean
 	-rm -f *~ core *.o
-
+	-cd man && $(MAKE) clean
 strip: all
 	$(STRIP) $(TARGETS)
 strip-more:
@@ -105,7 +106,7 @@
 	$(CP) README BUGS TODO $(PREFIX)/share/doc/pax-utils/
 endif
 	for mpage in $(MPAGES) ; do \
-		[ -e $$mpage ] \
+		[ -f $$mpage ] \
 			&& cp $$mpage $(PREFIX)/share/man/man1/ || : ;\
 	done
 
@@ -121,12 +122,17 @@
 		exit 1 ; \
 	fi
 	$(MAKE) -s distclean
+	echo "<releaseinfo>$(PV)</releaseinfo>" > man/fragment/version
+	$(MAKE) -C man
 	rm -rf ../pax-utils-$(PV)*
-	mkdir ../pax-utils-$(PV)
-	cp -R * .depend ../pax-utils-$(PV)/
-	rm -rf ../pax-utils-$(PV)/CVS ../pax-utils-$(PV)/*/CVS ../pax-utils-$(PV)/make-tarball.sh
+	rsync -a --exclude=CVS --exclude='*macho*' . ../pax-utils-$(PV)
 	tar jcf ../pax-utils-$(PV).tar.bz2 -C .. pax-utils-$(PV)
 	rm -rf ../pax-utils-$(PV)
 	du -b ../pax-utils-$(PV).tar.bz2
 
 -include .depend
+
+check test:
+	$(MAKE) -C tests
+
+.PHONY: all check clean dist install test
