=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://dev.gentoo.org/~solar/pax/ pax-utils-(.*\..*).tar.bz2
