## pax-utils 0.2.2

=== debian/changelog ===
pax-utils (0.2.2-1) unstable; urgency=low

  * New upstream release.                                       closes: #605375
  * Adopt the package, thanks Rémi for the previous work.       closes: #600958
  * debian/control:
    - update debhelper build-dep to 7.0.50~ (for overrides).
    - update standards version to 3.9.1.
    - drop cdbs build-dep.
  * debian/compat bumped to 7.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - switch to dh7 tiny rules.
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add hardening flags to {C,LD}FLAGS.
    - add --as-needed, -O1 and -z,defs to LDFLAGS.
    - override dh_auto_test since there's no tests available.
    - override dh_auto_clean which will call distclean first and remove the
      manpages.
  * debian/watch updated to the new upstream repository.

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Sun, 20 Feb 2011 16:58:51 +0100
