=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pax-utils
 Section: misc
 Priority: extra
-Maintainer: Felipe Zimmerle <felipe.zimmerle@collabora.co.uk>
-Build-Depends: cdbs, debhelper (>= 4.1.0)
-Standards-Version: 3.8.0
+Maintainer: Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>
+Build-Depends: debhelper (>= 7.0.50~), hardening-includes,
+ libcap2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+Standards-Version: 3.9.1
 Homepage: http://dev.gentoo.org/~solar/pax-utils/
 XS-Vcs-Svn: http://anonsvn.remlab.net/svn/pkg-remlab/pax-utils
