=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)

export CFLAGS LDFLAGS

ifeq ($(DEB_HOST_ARCH_OS),linux)
USE_CAP=yes
export USE_CAP
endif

override_dh_auto_test:

override_dh_auto_clean:
	make clean || true

%:
	dh $@
