=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://dev.gentoo.org/~vapier/dist/ pax-utils-(.*\..*).tar.bz2
