=== debian/changelog ===
pax-utils (0.2.3-2build2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:04:11 -0700

pax-utils (0.2.3-2build1) precise; urgency=low

  * Rebuild with dpkg 1.16.1.1ubuntu2 to restore full hardening support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Nov 2011 17:16:55 -0400

pax-utils (0.2.3-2) unstable; urgency=low

  * debian/rules:
    - don't disable tests.
    - switch to dpkg-dev 1.16.1 hardening flags support
  * debian/control:
    - add build-dep on python, needed for running test suite.
    - drop hardening-includes build-dep, add build-dep on dpkg-dev (>= 1.16.1)
      and update debhelper build-dep for compat mode 9.
  * debian/compat bumped to 9.
  * debian/patches:
    - 01_fix-endianness-hurd added, fix include leading to endianness problems
      on hurd-i386. Thanks Pino Toscano!                        closes: #644607

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Sat, 08 Oct 2011 14:55:33 +0200

pax-utils (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch updated to track .xz tarballs.

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Thu, 06 Oct 2011 22:58:27 +0200

pax-utils (0.2.2-2) unstable; urgency=low

  * debian/control:
    - replace chpax by paxctl in suggests.
    - use linux-any in libcap-dev build-dep.                    closes: #634786
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Wed, 03 Aug 2011 08:33:21 +0200
