=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

ifeq ($(DEB_HOST_ARCH_OS),linux)
USE_CAP=yes
export USE_CAP
endif

override_dh_auto_clean:
	make clean || true

%:
	dh $@
