## pax-utils 1.0.5

=== debian/changelog ===
pax-utils (1.0.5-1) unstable; urgency=medium

  * Imported Upstream version 1.0.5
  * Fix tests (Closes: #793010)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 31 Jul 2015 15:58:59 +0200

pax-utils (1.0.4-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Use dh-autoreconf

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 19 Jul 2015 19:00:34 +0200

pax-utils (1.0.3-2) unstable; urgency=medium

  * Enable tests during the build
  * Clean and update files
  * Drop obsolete lintian overrides

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 11 Jul 2015 12:17:47 +0200

pax-utils (1.0.3-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 08 Apr 2015 01:06:58 +0200

pax-utils (1.0.2-1) unstable; urgency=medium

  * Imported Upstream version 1.0.2

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 20 Mar 2015 14:27:13 +0100

pax-utils (1.0.1-1) unstable; urgency=medium

  * Fix reproducibility problem (Closes: #776715)
  * Bump Standards-Version to 3.9.6 (no changes required)
  * Correct lintian warnings
  * Skip the tests (temporary workaround)
  * Imported Upstream version 1.0.1

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 08 Mar 2015 19:42:52 +0100
