=== debian/control ===
Source: pax-utils
Section: misc
Priority: extra
Maintainer: Tomasz Buchert <tomasz@debian.org>
Build-Depends: debhelper (>= 9),
               libcap2-dev [linux-any],
               python,
               python-pyelftools,
               dh-autoreconf,
               autoconf-archive,
               gnulib
Standards-Version: 3.9.6
Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
Vcs-Git: git://anonscm.debian.org/collab-maint/pax-utils.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pax-utils.git

Package: pax-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: paxctl
Description: Security-focused ELF files checking tool
 This is a small set of various PaX aware and related utilities for ELF
 binaries. It can check ELF binary files and running processes for
 issues that might be relevant when using ELF binaries along with PaX,
 such as non-PIC code or executable stack and heap.
