=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# pspax.c on Linux can use sys/capability.h
 	# to get nice textual representations
-	USE_CAP=yes
-	export USE_CAP
+	export USE_CAP=yes
 endif
 
 override_dh_auto_clean:
@@ -15,5 +14,8 @@
 	# which deletes too many files
 	make clean || true
 
+override_dh_autoreconf:
+	dh_autoreconf debian/autogen.sh
+
 %:
-	dh $@
+	dh $@ --with autoreconf
