=== tests/source/Makefile ===
all: check

test check:
	./dotest

clean:

.PHONY: all check clean test
