=== debian/changelog ===
pax-utils (1.1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.1.5

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 11 Feb 2016 13:40:44 +0100

pax-utils (1.1.4-1) unstable; urgency=medium

  * Imported Upstream version 1.1.4

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 03 Nov 2015 07:58:01 +0100

pax-utils (1.1.3-1) unstable; urgency=medium

  * Imported Upstream version 1.1.3

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Sep 2015 15:50:33 +0200

pax-utils (1.1.2-1) unstable; urgency=medium

  * Imported Upstream version 1.1.2

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 16 Sep 2015 10:35:04 +0200

pax-utils (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 06 Sep 2015 20:04:58 +0200

pax-utils (1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1
  * d/patches: drop obsolete patches
  * d/*: fixes according to new upstream releases

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 29 Aug 2015 13:56:38 +0200
