=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: misc
 Priority: extra
 Maintainer: Tomasz Buchert <tomasz@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: autoconf-archive,
+               debhelper (>= 9),
+               dh-autoreconf,
+               gnulib,
                libcap2-dev [linux-any],
+               pkg-config,
                python,
-               python-pyelftools,
-               dh-autoreconf,
-               autoconf-archive,
-               gnulib
+               python-pyelftools
 Standards-Version: 3.9.6
 Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
 Vcs-Git: git://anonscm.debian.org/collab-maint/pax-utils.git
