=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+pie,+bindnow
 
+CONFIGURE_FLAGS=
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# pspax.c on Linux can use sys/capability.h
 	# to get nice textual representations
-	export USE_CAP=yes
+	CONFIGURE_FLAGS += --with-caps
 endif
 
 override_dh_auto_clean:
@@ -14,6 +15,9 @@
 	# which deletes too many files
 	make clean || true
 
+override_dh_auto_configure:
+	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
 override_dh_autoreconf:
 	dh_autoreconf debian/autogen.sh
