=== debian/changelog ===
pax-utils (1.1.6-1) unstable; urgency=medium

  * Imported Upstream version 1.1.6
  * Bump Standards-Version to 3.9.7 (no changes required)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 25 Mar 2016 10:53:01 +0100
