=== debian/changelog ===
pax-utils (1.1.7-1) unstable; urgency=medium

  * New upstream version 1.1.7
  * Bump Standards-Version to 3.9.8 (no changes required)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 27 Nov 2016 16:27:41 +0100
