=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                pkg-config,
                python,
                python-pyelftools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
 Vcs-Git: git://anonscm.debian.org/collab-maint/pax-utils.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pax-utils.git
