## pax-utils 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PV := v1.1.7
+PV := v1.2.2
 # Copyright 2003-2006 Ned Ludd <solar@linbsd.net>
 # Distributed under the terms of the GNU General Public License v2
 ####################################################################
