=== debian/changelog ===
pax-utils (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 28 Jan 2017 08:43:31 +0100

pax-utils (1.2-1) unstable; urgency=medium

  * d/control: use debhelper 10
  * d/watch: use watch version 4
  * New upstream version 1.2

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 23 Jan 2017 22:27:48 +0100
