=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: extra
 Maintainer: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: autoconf-archive,
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 10),
                gnulib,
                libcap2-dev [linux-any],
                pkg-config,
