=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,4 @@
 	dh_autoreconf debian/autogen.sh
 
 %:
-	dh $@ --with autoreconf
+	dh $@
