## pax-utils 1.2.4

=== debian/changelog ===
pax-utils (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 19 Jan 2019 15:53:28 +0100

pax-utils (1.2.3-3) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3.0)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 12 Jan 2019 14:58:52 +0100

pax-utils (1.2.3-2) unstable; urgency=medium

  * d/patches: serialize manpage generation (Closes: #908455)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 11 Sep 2018 21:43:55 +0200

pax-utils (1.2.3-1) unstable; urgency=medium

  * d/control: update vcs links to salsa
  * Fix insecure-copyright-format-uri
  * Switch to dh compat 11
  * Update description (Closes: #900557)
  * Depend on binutils (Closes: #854466)
  * d/watch: update
  * New upstream version 1.2.3 (Closes: #856196)
  * Fix building of man pages (patch)

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 09 Sep 2018 13:55:48 +0200

pax-utils (1.2.2-2) unstable; urgency=medium

  * d/control: add binutils dependency (Closes: #854466)

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 07 Feb 2017 20:31:19 +0100
