=== debian/control ===
Source: pax-utils
Maintainer: Tomasz Buchert <tomasz@debian.org>
Section: misc
Priority: optional
Build-Depends: autoconf-archive,
               binutils,
               debhelper (>= 12),
               debhelper-compat (= 12),
               gnulib,
               libcap2-dev [linux-any],
               pkg-config,
               python,
               python-pyelftools,
               xmlto
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/pax-utils
Vcs-Git: https://salsa.debian.org/debian/pax-utils.git
Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities

Package: pax-utils
Architecture: any
Depends: binutils, ${misc:Depends}, ${shlibs:Depends}
Suggests: paxctl
Description: Security-focused ELF files checking tool
 This is a small set of various PaX aware and related utilities for ELF
 binaries. It can check ELF binary files and running processes for
 issues that might be relevant when using ELF binaries along with PaX,
 such as non-PIC code or executable stack and heap.
 .
 This package installs: dumpelf, lddtree, pspax, scanelf, scanmacho
 and symtree.
