## pax-utils 1.2.5

=== man/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 man pdf txt xhtml xhtml-nochunks:
 	@xmlto $@ $(XMLTO_FLAGS_$@) pax-utils.docbook || echo "If this failed, you probably need to emerge ~app-text/docbook-xml-dtd-4.4 app-text/xmlto dev-tex/xmltex"
 	@# scanelf.1 has funky indented lists ... hack it back
-	@sed -i 's:^[.]TP 4:.TP 2:' scanelf.1
+	@sed -i.tmp 's:^[.]TP 4:.TP 2:' scanelf.1
+	@rm scanelf.1.tmp
 clean distclean:
 	rm -f *.1 *.html
