=== debian/changelog ===
pax-utils (1.2.5-1ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 17:58:20 +0200

pax-utils (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Update std-ver to 4.5.0

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 01 Mar 2020 13:50:51 +0100
