=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
                debhelper (>= 12),
                debhelper-compat (= 12),
                gnulib,
-               libcap2-dev [linux-any],
+               libcap-dev [linux-any],
                pkg-config,
-               python,
+               python2,
                python-pyelftools,
                xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/pax-utils
 Vcs-Git: https://salsa.debian.org/debian/pax-utils.git
 Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
+Rules-Requires-Root: no
 
 Package: pax-utils
 Architecture: any
