## pax-utils 1.2.6

=== debian/changelog ===
pax-utils (1.2.6-2) unstable; urgency=medium

  * Use python3 (Closes: #937251)

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 01 May 2020 11:50:34 +0200

pax-utils (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6
  * Fix debian-rules-uses-as-needed-linker-flag

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 25 Apr 2020 13:50:04 +0200
