=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                gnulib,
                libcap-dev [linux-any],
                pkg-config,
-               python2,
-               python-pyelftools,
+               python3,
+               python3-pyelftools,
                xmlto
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/pax-utils
