=== debian/changelog ===
pax-utils (1.2.9-1) unstable; urgency=medium

  * New upstream version 1.2.9

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 13 Feb 2021 15:45:19 +0100

pax-utils (1.2.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix cross Build-Depends: (Closes: #978060)
    + Drop dependency on binutils, which is build-essential.
    + Annotate python3 with :any.

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 30 Jan 2021 21:16:17 +0100

pax-utils (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8
  * Use debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 29 Dec 2020 19:55:31 +0100
