=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Section: misc
 Priority: optional
 Build-Depends: autoconf-archive,
-               binutils,
-               debhelper (>= 12),
-               debhelper-compat (= 12),
+               debhelper (>= 13),
+               debhelper-compat (= 13),
                gnulib,
                libcap-dev [linux-any],
                pkg-config,
-               python3,
                python3-pyelftools,
+               python3:any,
                xmlto
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/pax-utils
 Vcs-Git: https://salsa.debian.org/debian/pax-utils.git
 Homepage: https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities
